org.apache.maven.scm.provider.cvslib.command.login

## Class CvsPass

- java.lang.Object
- - org.apache.maven.scm.provider.cvslib.command.login.CvsPass

-     public class CvsPass
      extends Object

  Adds an new entry to a CVS password file.
  Version:
    $Id: CvsPass.java 691832 2008-09-03 23:54:44Z vsiveton $

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CvsPass(ScmLogger logger)` Create a CVS task using the default cvspass file location.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `execute()` Does the work.
    `void` | `setCvsroot(String cvsRoot)` The CVS repository to add an entry for.
    `void` | `setPassfile(File passFile)` Password file to add the entry to.
    `void` | `setPassword(String password)` Password to be added to the password file.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CvsPass

          public CvsPass(ScmLogger logger)

      Create a CVS task using the default cvspass file location.

  - ### Method Detail

    - #### execute

          public final void execute()
                             throws ScmException,
                                    IOException

      Does the work.
      Throws:
        `ScmException` - if something is missing
        `IOException` - if something goes wrong

    - #### setCvsroot

          public void setCvsroot(String cvsRoot)

      The CVS repository to add an entry for.
      Parameters:
        `cvsRoot` - the CVS repository

    - #### setPassfile

          public void setPassfile(File passFile)

      Password file to add the entry to.
      Parameters:
        `passFile` - the password file.

    - #### setPassword

          public void setPassword(String password)

      Password to be added to the password file.
      Parameters:
        `password` - the password.

Copyright © 2003–2015. All rights reserved.